Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.alerts
Class ComAlertCodes

    java.lang.Object
      com.stc.connector.comadapter.alerts.ComAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class ComAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `COM_CREATECOMOBECTJFAILED` Failed to create COM object instance `Failed to create COM object instance, CLSID {0}` Params: {0} COM object CLSID
`static java.lang.String` | `COM_EWAY_RUNNING` eWay running status code.
`static java.lang.String` | `COM_EWAY_STARTED` eWay started status code.
`static java.lang.String` | `COM_EWAY_STOPPED` eWay stopped status code.
`static java.lang.String` | `COM_EWAY_STOPPING` eWay stopping status code.
`static java.lang.String` | `COM_EWAY_SUSPENDED` eWay suspended status code.
`static java.lang.String` | `COM_EWAY_SUSPENDING` eWay suspending status code.
`static java.lang.String` | `COM_NOMOREACCESSHANDLES` No more concurrent access handles available `No more concurrent access handles available`
`static java.lang.String` | `COM_UNABLETOGETCOMRUNTIME` Failed to acquire COM runtime environment `Failed acquire COM runtime environment.`
`static java.lang.String` | `COM_UNKNOWNAPPNAME` Unable to create application object for unrecognized name `Unable to create application object for unrecognized name` Params: {0} application name

Constructor Summary
`ComAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COM_EWAY_STARTED

    public static final java.lang.String COM_EWAY_STARTED

  eWay started status code.

  See Also:
    Constant Field Values

### COM_EWAY_RUNNING

    public static final java.lang.String COM_EWAY_RUNNING

  eWay running status code.

  See Also:
    Constant Field Values

### COM_EWAY_STOPPING

    public static final java.lang.String COM_EWAY_STOPPING

  eWay stopping status code.

  See Also:
    Constant Field Values

### COM_EWAY_STOPPED

    public static final java.lang.String COM_EWAY_STOPPED

  eWay stopped status code.

  See Also:
    Constant Field Values

### COM_EWAY_SUSPENDING

    public static final java.lang.String COM_EWAY_SUSPENDING

  eWay suspending status code.

  See Also:
    Constant Field Values

### COM_EWAY_SUSPENDED

    public static final java.lang.String COM_EWAY_SUSPENDED

  eWay suspended status code.

  See Also:
    Constant Field Values

### COM_UNABLETOGETCOMRUNTIME

    public static final java.lang.String COM_UNABLETOGETCOMRUNTIME

  Failed to acquire COM runtime environment `Failed acquire COM runtime environment.`

  See Also:
    Constant Field Values

### COM_NOMOREACCESSHANDLES

    public static final java.lang.String COM_NOMOREACCESSHANDLES

  No more concurrent access handles available `No more concurrent access handles available`

  See Also:
    Constant Field Values

### COM_CREATECOMOBECTJFAILED

    public static final java.lang.String COM_CREATECOMOBECTJFAILED

  Failed to create COM object instance `Failed to create COM object instance, CLSID {0}` Params: {0} COM object CLSID

  See Also:
    Constant Field Values

### COM_UNKNOWNAPPNAME

    public static final java.lang.String COM_UNKNOWNAPPNAME

  Unable to create application object for unrecognized name `Unable to create application object for unrecognized name` Params: {0} application name

  See Also:
    Constant Field Values

Constructor Detail

### ComAlertCodes

    public ComAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.